# Concentration de blocs

Ce module permet de calculer la concentration de blocs uniformément répartis dans une passe à macro-rugosités.

L'outil permet de calculer l'une des valeurs suivantes&nbsp;:

- La largeur de la passe (m)&nbsp;;
- Le nombre de blocs&nbsp;;
- Le diamètre des blocs (m)&nbsp;;
- La concentration des blocs \(C\).

## Formule

La formule appliquée est détaillée dans la documentation de la [passe à macro-rugosités](./macrorugo.md).

## Harmonisation

Lors du calcul du nombre de blocs, si celui-ci n'est pas entier, des nombres de blocs harmonisés à la hausse et à la baisse sont proposés accompagnés des valeurs de concentration correspondantes.

La tolérance est de l'ordre du centimètre.
